<?php

namespace App\Traits;

trait WithCommentEnum
{
    public static function comment()
    {
        return implode(', ', array_map(fn ($case) => "{$case->value}: {$case->label()}", self::cases()));
    }
}
